bugGNU TeXmacs - Bugs: bug #59559, TeXMacs does not recognize...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #59559: TeXMacs does not recognize QT_QPA_PLATFORM environment variable

Submitted by:  Mikhail <mbakhterev>
Submitted on:  Fri 27 Nov 2020 11:30:38 AM UTC  
 
Category:  Qt port Priority:  5 - Normal
Item Group:  None Status:  None
Privacy:  Public Assigned to:  None
Originator Name:  Open/Closed:  Open
Release:  Release:  None
Fixed Release:  None Fixed Release:  1.99.15
Keywords: 

Sun 13 Dec 2020 01:12:28 PM UTC, comment #3: 

This is probably due to changes introduced for bug #57684

TeXmacs sets QT_QPA_PLATFORM to xcb in src/Texmacs/Texmacs/texmacs.cpp:

https://github.com/texmacs/texmacs/commit/3221e1ad2353666d43e8c08f4f9eff82797826e7

JW <jeronim>
Fri 27 Nov 2020 12:23:39 PM UTC, comment #2: 

комментарий №1:

> Which version of Qt you have? Which OS? How you have installed TeXmacs (via the packages or directly building the sources?)


Qt version: 5.15.2
OS: ArchLinuxARM
TeXmacs was installed via package manager

> Note that there is now 1.99.16. It would be better to try with the last version.
>


Thanks! I will try it

Mikhail <mbakhterev>
Fri 27 Nov 2020 11:42:03 AM UTC, comment #1: 

Which version of Qt you have? Which OS? How you have installed TeXmacs (via the packages or directly building the sources?)
Note that there is now 1.99.16. It would be better to try with the last version.

Massimiliano Gubinelli <mgubi>
Project Administrator
Fri 27 Nov 2020 11:30:38 AM UTC, original submission:  

I have in the environment:

$ echo $QT_QPA_PLATFORM
wayland

But TeXMacs tries to start with XCB backend.

$ texmacs
qt.qpa.xcb: could not connect to display :0
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.

Aborted (core dumped)

There was no such problem in 1.99.14.

Mikhail <mbakhterev>

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by jeronim (Posted a comment)
  • -email is unavailable- added by mgubi (Posted a comment)
  • -email is unavailable- added by mbakhterev (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    No changes have been made to this item

    Back to the top


    Powered by Savane 3.5